/**(c)

  Copyright (C) 2006, 2007, 2008, 2009 Michael Stilkerich, Johannes Bauer, Christian Wawersich 

  This file is part of the JOSEK operating system.

	JOSEK is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

	JOSEK is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with JOSEK. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
package josek;
import java.io.*;

public class CodeHook_osc_ioisr extends CodeHook_Standard {
	public void fireImmediately() {
		if (conf.getIOISRCount() == 0) return;
		
		SSingleton.clear();
		SSingleton.add("static unsigned char IO_ISR_Processed;");
		writeSingStr();
		
		SSingleton.clear();
		SSingleton.add("static struct pollfd IO_ISR_Table[");
		SSingleton.add(Integer.toString(conf.getIOISRCount()));
		SSingleton.add("];");
		writeSingStr();
	}
}
