/**(c)

  Copyright (C) 2006, 2007, 2008, 2009 Michael Stilkerich, Johannes Bauer, Christian Wawersich 

  This file is part of the JOSEK operating system.

	JOSEK is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

	JOSEK is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with JOSEK. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
package josek.arch.atmega;

import josek.HighlevelConfiguration;
import josek.HighlevelConfiguration_Counter;

class at90s8515 extends ATMega {
	at90s8515() {
		counters_used=new boolean[2];
		timer_prescalers = new int[][] { pscalers, pscalers };
		timer_max = new int[] { 0 /* no CTC mode */, 65535 };
	}

	protected void set_timsk(HighlevelConfiguration_Counter ctr, int ti) {
		if(ti==1)
			timsk |= 0x40;
		else throw new
			RuntimeException("Interrupt Mask position unknown for timer " + ctr.getHWBase());
	}	
}

