/**(c)

  Copyright (C) 2006, 2007, 2008, 2009 Michael Stilkerich, Johannes Bauer, Christian Wawersich 

  This file is part of the JOSEK operating system.

	JOSEK is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

	JOSEK is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with JOSEK. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
/* main for Linux based systems */
int main(void) {
	sigset_t es;
	sigemptyset(&es);

//+ osc_main_signalhandler
//? have_ecc
	init();
//?
//+ osc_main_preschedule

//? have_tasks
	JOSEK_sched_enabled=1;
//?
	EnableAllInterrupts();

	while (1) {
//? have_tasks
	schedule(0);
//?

//? termidle
//? have_linux
	printf("TERM\n");
//?
	ShutdownOS(0);
//!

//? debug
		fprintf(stderr, "Idle Task...\n");
//?
		sigsuspend(&es);
//?
	}
	return 0;
}

