/**(c)

  Copyright (C) 2006, 2007, 2008, 2009 Michael Stilkerich, Johannes Bauer, Christian Wawersich 

  This file is part of the JOSEK operating system.

	JOSEK is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

	JOSEK is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with JOSEK. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
package josek;

public class HighlevelConfiguration_ISR {
	private String name;
	private int category;
	private int priority;
	private int stackSize;
	private int signal;
	private int irqLevel;
	
	HighlevelConfiguration_ISR(String name, int category, int priority, int stackSize, int signal, int irqLevel) {
		this.name = name;
		this.category = category;
		this.priority = priority;
		this.stackSize = stackSize;
		this.signal = signal;
		this.irqLevel = irqLevel;
	}

	public String getName() {
		return name;
	}

	public int getSignal() {
		return signal;
	}

	public int getLevel() {
		return irqLevel;
	}

	public String toString() {
		return "ISR '" + name + "' delivered on signal " + signal;
	}
};

