.data
	.align
sched_stack_p:
	.word 0

/* eax is a volatile register and can safely be clobbered */
.text
.globl StartTask
	.type StartTask, @function
StartTask:
  /* previous save sched_stack_p */
	mov sched_stack_p, %rax
	push %rax

  /* set current sched_stack_p */
	mov %rsp, sched_stack_p

	/* start the task */
	call *16(%rsp)

	/* restore previous sched_stack_p */
	pop %rax
	mov %rax, sched_stack_p

	ret

.globl ClearStackPart
	.type ClearStackPart, @function
ClearStackPart:
/* CAUTION: We do not restore the framepointer. The program MUST be compiled
   with -fomit-frame-pointer, otherwise the wrong ptask in the BCC scheduler
	 will be loaded
*/

	/* restore previous stack partition */
	mov sched_stack_p, %rsp

	/* restore previous sched_stack_p */
	pop %rax
	mov %rax, sched_stack_p

	ret

